Subject: Re: [icnrg] Spencer Dawkins' Yes on draft-oran-icnrg-qosarch-05: (with COMMENT)

From: "Dirk Kutscher" <[email-masked]>
Date: Thu, 17 Sep 2020 10:44:00 +0200

Thanks a lot for looking into this, Spencer!

> I'm not an ICN guy, but I can translate all of the terms on both sides 
> of Table
> 1, except for "flow balance". The term isn't mentioned anywhere else, 
> except
> with a reference to I-D.oran-icnrg-flowbalance,  which has a very 
> clear
> definition in its abstract.
>
>    This captures the idea that there is a one-to-one
>    correspondence between requests for data, carried in Interest
>    messages, and the responses with the requested data object, carried
>    in Data messages.
>
> Would it make sense to include some or all of that definition earlier 
> in the
> document, or just including a pointer to the discussion draft near 
> where the
> term first appears? The current pointer to the discussion draft 
> happens 14
> pages into this draft, which doesn't seem helpful if a reader doesn't
> understand the term used on page 3.

Fair comment. It's a  well-understood term for ICN folks, but we could 
consider addressing a broader audience here. There is also 
https://datatracker.ietf.org/doc/rfc8793/ (Terminology) that mentions 
flow balance in the big-picture-overview -- that could be referenced as 
well if a revision was to be done.

> This text
>
>    Further, accumulated experience seems to indicate that QoS is 
> helpful
>    in a fairly narrow range of network conditions:
>
> seems backwards to me, because the list of bullets that follows 
> describe where
> QoS is NOT helpful:

IMO, this is just trying level expectations and debunk some QoS myths 
that might aggravate the understanding of the document.

The draft has additional text with examples after this one:

>    Nevertheless, though not universally deployed, QoS is advantageous 
> at
>    least for some applications and some network environments.

	* applications with steep utility functions [Shenker2006], such as
       real-time multimedia

    *  applications with safety-critical operational constraints, such 
as
       avionics or industrial automation

    *  dedicated or tightly managed networks whose economics depend on
       strict adherence to challenging service level agreements (SLAs)

I was thinking that this illustrates it quite nicely. Do you think that 
more is needed?

> I think this text
>
>        This may
>        allow less pessimistic rate adjustment schemes than the 
> Additive
>        Increase, Multiplicative Decrease (AIMD) with .5 multiplier 
> that
>        is used on TCP/IP networks.
>
> is approximately correct today, but TSVWG is certainly trying to 
> change that
> with ECT(1) experimentation as per 
> https://tools.ietf.org/html/rfc8311. Perhaps
> "that is commonly used on TCP/IP networks"?

Probably nice to have in case a revision is done.

> I'm a bit uncomfortable with "likely to incur a mobility event within 
> an RTT
> (or a few RTTs)", because really short-horizon distributed decisions 
> seem to be
> problematic in a lot of path aware networking proposals.
>
>    *  A QoS treatment indicating a mobile consumer likely to incur a
>       mobility event within an RTT (or a few RTTs).  Such a treatment
>       would allow a mobile network operator to preferentially cache 
> the
>       data at a forwarder positioned at a _join point_ or _rendezvous
>       point_ of their topology.
>
> How badly do you need the text following "likely to incur a mobility 
> event"? It
> seems like deleting it would be just as clear and accurate.

So, here I agree that, in a non-ICN context, the original text could 
raise some eye brows. However in this context, I don't see a need for 
change, because of the different nature of ICNs (conceptually less need 
for path-awareness) and light-weight mobility management approaches that 
ICNs enables.

Thanks,
Dirk